#!/bin/bash
WEBBUILD_HOST=mambanana
if [ "$QUERY_STRING" ]; then
   # get (download, preserve content-type and content-disposition headers)
   contentdisposition=`curl -4 --connect-timeout 40 -sI "http://$WEBBUILD_HOST/cgi-bin/webbuild?$QUERY_STRING" -H "Content-Type: $CONTENT_TYPE" | grep Content-Disposition`
   echo "\
$contentdisposition
Content-Type: application/octet-stream
"
   stdbuf -o0 curl -4 --connect-timeout 40 "http://$WEBBUILD_HOST/cgi-bin/webbuild?$QUERY_STRING" -H "Content-Type: $CONTENT_TYPE"
else
   echo "\
Content-Type: text/xml
Pragma: no-cache

"

   stdbuf -o0 curl -4 --connect-timeout 40 "http://$WEBBUILD_HOST/cgi-bin/webbuild" -H "Content-Type: $CONTENT_TYPE" --data-binary @- --stderr /dev/null
fi
